<?php
include "conexao.php";

// Rotina de Leads Cadastrados (site)
if (isset($_POST['salvar_primeiro'])) {

    $id_empreendimento = $_GET['idempreendimento'];

    if (isset($_POST['option'])) {
        // Aqui faço a segunda etapa.
        // Verifico se já existe a rotina no banco. 
        $query = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Leads Cadastrados' AND id_empreendimento = $id_empreendimento ");
        if (mysqli_num_rows($query)) {
            while ($result = mysqli_fetch_assoc($query)) {
                $texto_existe = $result['modelo_msg'];
            }

            $selecionado = $_POST['option'];
            $qtd = count($selecionado);

            // Aqui verifico se minhas três opções foram setadas.
            if ($qtd == 3) {
                foreach ($selecionado as $value) {

                    if (!empty($_POST['texto'])) {
                        $texto = addslashes($_POST['texto']);
                    } else {
                        $texto = addslashes($texto_existe);
                    }

                    if (isset($_POST['check'])) {
                        $check = 1;
                    } else {
                        $check = 0;
                    }

                    // Aqui faço update das três opções. 
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Leads Cadastrados' AND grupo_acesso = $value AND id_empreendimento = $id_empreendimento");
                }
                // Aqui verifico se minhas duas opções foram setadas.
            } elseif ($qtd == 2) {

                // Aqui verifico qual não está setada.
                if ($selecionado['0'] == 5 && $selecionado['1'] == 6) {
                    $desmarcado = 7;
                } elseif ($selecionado['0'] == 6 && $selecionado['1'] == 5) {
                    $desmarcado = 7;
                } elseif ($selecionado['0'] == 7 && $selecionado['1'] == 5) {
                    $desmarcado = 6;
                } elseif ($selecionado['0'] == 5 && $selecionado['1'] == 7) {
                    $desmarcado = 6;
                } elseif ($selecionado['0'] == 6 && $selecionado['1'] == 7) {
                    $desmarcado = 5;
                } elseif ($selecionado['0'] == 7 && $selecionado['1'] == 6) {
                    $desmarcado = 5;
                }

                if (!empty($_POST['texto'])) {
                    $texto = $texto = addslashes($_POST['texto']);
                } else {
                    $texto = addslashes($texto_existe);
                }
                // Aqui faço update da opção que não foi setada (desativo).
                $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Leads Cadastrados' AND grupo_acesso = $desmarcado AND id_empreendimento = $id_empreendimento");

                foreach ($selecionado as $value) {

                    if (!empty($_POST['texto'])) {
                        $texto = $texto = addslashes($_POST['texto']);
                    } else {
                        $texto = addslashes($texto_existe);
                    }

                    if (isset($_POST['check'])) {
                        $check = 1;
                    } else {
                        $check = 0;
                    }
                    // Aqui faço update das duas opções que foram setadas.
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Leads Cadastrados' AND grupo_acesso = $value AND id_empreendimento = $id_empreendimento");
                }
                // Aqui verifico se minha opçõe foi setada.
            } else {

                if (!empty($_POST['texto'])) {
                    $texto = $texto = addslashes($_POST['texto']);
                } else {
                    $texto = addslashes($texto_existe);
                }

                if (isset($_POST['check'])) {
                    $check = 1;
                } else {
                    $check = 0;
                }

                // Aqui vejo qual está selecionada.
                if ($selecionado['0'] ==  5) {
                    $unico = $selecionado['0'];
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Leads Cadastrados' AND grupo_acesso = $unico AND id_empreendimento = $id_empreendimento");
                } else {
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Leads Cadastrados' AND grupo_acesso = 5 AND id_empreendimento = $id_empreendimento");
                }

                if ($selecionado['0'] ==  6) {
                    $unico = $selecionado['0'];
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Leads Cadastrados' AND grupo_acesso = $unico AND id_empreendimento = $id_empreendimento");
                } else {
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Leads Cadastrados' AND grupo_acesso = 6 AND id_empreendimento = $id_empreendimento");
                }

                if ($selecionado['0'] ==  7) {
                    $unico = $selecionado['0'];
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Leads Cadastrados' AND grupo_acesso = $unico AND id_empreendimento = $id_empreendimento");
                } else {
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Leads Cadastrados' AND grupo_acesso = 7 AND id_empreendimento = $id_empreendimento");
                }
            }

            header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
            die();
        } else {
            // Aqui faço a primeira etapa.
            $selecionado = $_POST['option'];

            foreach ($selecionado as $value) {

                if (isset($_POST['texto'])) {
                    $texto = $texto = addslashes($_POST['texto']);
                }

                if (isset($_POST['check'])) {
                    $check = 1;
                } else {
                    $check = 0;
                }
                // // Aqui faço insert das três opções se foram setadas.
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Leads Cadastrados', '$texto', $value, $check)");
            }

            // Aqui adiciono o que não foi setado (se tiver);
            $query1 = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Leads Cadastrados' AND id_empreendimento = $id_empreendimento AND grupo_acesso = 5 ");
            $query2 = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Leads Cadastrados' AND id_empreendimento = $id_empreendimento AND grupo_acesso = 6 ");
            $query3 = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Leads Cadastrados' AND id_empreendimento = $id_empreendimento AND grupo_acesso = 7 ");

            if (mysqli_num_rows($query1)) { } else {
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Leads Cadastrados', '$texto', 5, 0)");
            }

            if (mysqli_num_rows($query2)) { } else {
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Leads Cadastrados', '$texto', 6, 0)");
            }

            if (mysqli_num_rows($query3)) { } else {
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Leads Cadastrados', '$texto', 7, 0)");
            }

            header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
            die();
        }
    }
    header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
    die();
}

// Rotina Leads do dia Corretores / Imobiliárias
if (isset($_POST['salvar_segundo'])) {

    $id_empreendimento = $_GET['idempreendimento'];

    if (isset($_POST['option'])) {
        // Aqui faço a segunda etapa.
        // Verifico se já existe a rotina no banco. 
        $query = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Leads do dia Corretores' AND id_empreendimento = $id_empreendimento ");
        if (mysqli_num_rows($query)) {
            while ($result = mysqli_fetch_assoc($query)) {
                $texto_existe = $result['modelo_msg'];
            }

            $selecionado = $_POST['option'];
            $qtd = count($selecionado);

            // Aqui verifico se minhas três opções foram setadas.
            if ($qtd == 3) {
                foreach ($selecionado as $value) {

                    if (!empty($_POST['texto'])) {
                        $texto = addslashes($_POST['texto']);
                    } else {
                        $texto = addslashes($texto_existe);
                    }

                    if (isset($_POST['check'])) {
                        $check = 1;
                    } else {
                        $check = 0;
                    }

                    // Aqui faço update das três opções. 
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Leads do dia Corretores' AND grupo_acesso = $value AND id_empreendimento = $id_empreendimento");
                }
                // Aqui verifico se minhas duas opções foram setadas.
            } elseif ($qtd == 2) {

                // Aqui verifico qual não está setada.
                if ($selecionado['0'] == 5 && $selecionado['1'] == 6) {
                    $desmarcado = 7;
                } elseif ($selecionado['0'] == 6 && $selecionado['1'] == 5) {
                    $desmarcado = 7;
                } elseif ($selecionado['0'] == 7 && $selecionado['1'] == 5) {
                    $desmarcado = 6;
                } elseif ($selecionado['0'] == 5 && $selecionado['1'] == 7) {
                    $desmarcado = 6;
                } elseif ($selecionado['0'] == 6 && $selecionado['1'] == 7) {
                    $desmarcado = 5;
                } elseif ($selecionado['0'] == 7 && $selecionado['1'] == 6) {
                    $desmarcado = 5;
                }

                if (!empty($_POST['texto'])) {
                    $texto = $texto = addslashes($_POST['texto']);
                } else {
                    $texto = addslashes($texto_existe);
                }
                // Aqui faço update da opção que não foi setada (desativo).
                $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Leads do dia Corretores' AND grupo_acesso = $desmarcado AND id_empreendimento = $id_empreendimento");

                foreach ($selecionado as $value) {

                    if (!empty($_POST['texto'])) {
                        $texto = $texto = addslashes($_POST['texto']);
                    } else {
                        $texto = addslashes($texto_existe);
                    }

                    if (isset($_POST['check'])) {
                        $check = 1;
                    } else {
                        $check = 0;
                    }
                    // Aqui faço update das duas opções que foram setadas.
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Leads do dia Corretores' AND grupo_acesso = $value AND id_empreendimento = $id_empreendimento");
                }
                // Aqui verifico se minha opçõe foi setada.
            } else {

                if (!empty($_POST['texto'])) {
                    $texto = $texto = addslashes($_POST['texto']);
                } else {
                    $texto = addslashes($texto_existe);
                }

                if (isset($_POST['check'])) {
                    $check = 1;
                } else {
                    $check = 0;
                }

                // Aqui vejo qual está selecionada.
                if ($selecionado['0'] ==  5) {
                    $unico = $selecionado['0'];
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Leads do dia Corretores' AND grupo_acesso = $unico AND id_empreendimento = $id_empreendimento");
                } else {
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Leads do dia Corretores' AND grupo_acesso = 5 AND id_empreendimento = $id_empreendimento");
                }

                if ($selecionado['0'] ==  6) {
                    $unico = $selecionado['0'];
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Leads do dia Corretores' AND grupo_acesso = $unico AND id_empreendimento = $id_empreendimento");
                } else {
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Leads do dia Corretores' AND grupo_acesso = 6 AND id_empreendimento = $id_empreendimento");
                }

                if ($selecionado['0'] ==  7) {
                    $unico = $selecionado['0'];
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Leads do dia Corretores' AND grupo_acesso = $unico AND id_empreendimento = $id_empreendimento");
                } else {
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Leads do dia Corretores' AND grupo_acesso = 7 AND id_empreendimento = $id_empreendimento");
                }
            }

            header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
            die();
        } else {
            // Aqui faço a primeira etapa.
            $selecionado = $_POST['option'];

            foreach ($selecionado as $value) {

                if (isset($_POST['texto'])) {
                    $texto = $texto = addslashes($_POST['texto']);
                }

                if (isset($_POST['check'])) {
                    $check = 1;
                } else {
                    $check = 0;
                }
                // // Aqui faço insert das três opções se foram setadas.
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Leads do dia Corretores', '$texto', $value, $check)");
            }

            // Aqui adiciono o que não foi setado (se tiver);
            $query1 = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Leads do dia Corretores' AND id_empreendimento = $id_empreendimento AND grupo_acesso = 5 ");
            $query2 = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Leads do dia Corretores' AND id_empreendimento = $id_empreendimento AND grupo_acesso = 6 ");
            $query3 = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Leads do dia Corretores' AND id_empreendimento = $id_empreendimento AND grupo_acesso = 7 ");

            if (mysqli_num_rows($query1)) { } else {
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Leads do dia Corretores', '$texto', 5, 0)");
            }

            if (mysqli_num_rows($query2)) { } else {
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Leads do dia Corretores', '$texto', 6, 0)");
            }

            if (mysqli_num_rows($query3)) { } else {
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Leads do dia Corretores', '$texto', 7, 0)");
            }

            header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
            die();
        }
    }

    header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
    die();
}

// Rotina Proposta de compra gerada
if (isset($_POST['salvar_terceiro'])) {

    $id_empreendimento = $_GET['idempreendimento'];

    if (isset($_POST['option'])) {
        // Aqui faço a segunda etapa.
        // Verifico se já existe a rotina no banco. 
        $query = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Proposta de compra gerada' AND id_empreendimento = $id_empreendimento ");
        if (mysqli_num_rows($query)) {
            while ($result = mysqli_fetch_assoc($query)) {
                $texto_existe = $result['modelo_msg'];
            }

            $selecionado = $_POST['option'];
            $qtd = count($selecionado);

            // Aqui verifico se minhas três opções foram setadas.
            if ($qtd == 3) {
                foreach ($selecionado as $value) {

                    if (!empty($_POST['texto'])) {
                        $texto = addslashes($_POST['texto']);
                    } else {
                        $texto = addslashes($texto_existe);
                    }

                    if (isset($_POST['check'])) {
                        $check = 1;
                    } else {
                        $check = 0;
                    }

                    // Aqui faço update das três opções. 
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Proposta de compra gerada' AND grupo_acesso = $value AND id_empreendimento = $id_empreendimento");
                }
                // Aqui verifico se minhas duas opções foram setadas.
            } elseif ($qtd == 2) {

                // Aqui verifico qual não está setada.
                if ($selecionado['0'] == 5 && $selecionado['1'] == 6) {
                    $desmarcado = 7;
                } elseif ($selecionado['0'] == 6 && $selecionado['1'] == 5) {
                    $desmarcado = 7;
                } elseif ($selecionado['0'] == 7 && $selecionado['1'] == 5) {
                    $desmarcado = 6;
                } elseif ($selecionado['0'] == 5 && $selecionado['1'] == 7) {
                    $desmarcado = 6;
                } elseif ($selecionado['0'] == 6 && $selecionado['1'] == 7) {
                    $desmarcado = 5;
                } elseif ($selecionado['0'] == 7 && $selecionado['1'] == 6) {
                    $desmarcado = 5;
                }

                if (!empty($_POST['texto'])) {
                    $texto = $texto = addslashes($_POST['texto']);
                } else {
                    $texto = addslashes($texto_existe);
                }
                // Aqui faço update da opção que não foi setada (desativo).
                $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Proposta de compra gerada' AND grupo_acesso = $desmarcado AND id_empreendimento = $id_empreendimento");

                foreach ($selecionado as $value) {

                    if (!empty($_POST['texto'])) {
                        $texto = $texto = addslashes($_POST['texto']);
                    } else {
                        $texto = addslashes($texto_existe);
                    }

                    if (isset($_POST['check'])) {
                        $check = 1;
                    } else {
                        $check = 0;
                    }
                    // Aqui faço update das duas opções que foram setadas.
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Proposta de compra gerada' AND grupo_acesso = $value AND id_empreendimento = $id_empreendimento");
                }
                // Aqui verifico se minha opçõe foi setada.
            } else {

                if (!empty($_POST['texto'])) {
                    $texto = $texto = addslashes($_POST['texto']);
                } else {
                    $texto = addslashes($texto_existe);
                }

                if (isset($_POST['check'])) {
                    $check = 1;
                } else {
                    $check = 0;
                }

                // Aqui vejo qual está selecionada.
                if ($selecionado['0'] ==  5) {
                    $unico = $selecionado['0'];
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Proposta de compra gerada' AND grupo_acesso = $unico AND id_empreendimento = $id_empreendimento");
                } else {
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Proposta de compra gerada' AND grupo_acesso = 5 AND id_empreendimento = $id_empreendimento");
                }

                if ($selecionado['0'] ==  6) {
                    $unico = $selecionado['0'];
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Proposta de compra gerada' AND grupo_acesso = $unico AND id_empreendimento = $id_empreendimento");
                } else {
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Proposta de compra gerada' AND grupo_acesso = 6 AND id_empreendimento = $id_empreendimento");
                }

                if ($selecionado['0'] ==  7) {
                    $unico = $selecionado['0'];
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Proposta de compra gerada' AND grupo_acesso = $unico AND id_empreendimento = $id_empreendimento");
                } else {
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Proposta de compra gerada' AND grupo_acesso = 7 AND id_empreendimento = $id_empreendimento");
                }
            }

            header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
            die();
        } else {
            // Aqui faço a primeira etapa.
            $selecionado = $_POST['option'];

            foreach ($selecionado as $value) {

                if (isset($_POST['texto'])) {
                    $texto = $texto = addslashes($_POST['texto']);
                }

                if (isset($_POST['check'])) {
                    $check = 1;
                } else {
                    $check = 0;
                }
                // // Aqui faço insert das três opções se foram setadas.
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Proposta de compra gerada', '$texto', $value, $check)");
            }

            // Aqui adiciono o que não foi setado (se tiver);
            $query1 = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Proposta de compra gerada' AND id_empreendimento = $id_empreendimento AND grupo_acesso = 5 ");
            $query2 = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Proposta de compra gerada' AND id_empreendimento = $id_empreendimento AND grupo_acesso = 6 ");
            $query3 = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Proposta de compra gerada' AND id_empreendimento = $id_empreendimento AND grupo_acesso = 7 ");

            if (mysqli_num_rows($query1)) { } else {
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Proposta de compra gerada', '$texto', 5, 0)");
            }

            if (mysqli_num_rows($query2)) { } else {
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Proposta de compra gerada', '$texto', 6, 0)");
            }

            if (mysqli_num_rows($query3)) { } else {
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Proposta de compra gerada', '$texto', 7, 0)");
            }

            header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
            die();
        }
    }

    header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
    die();
}

// Rotina Contrato aprovado / reprovado
if (isset($_POST['salvar_quarto'])) {

    $id_empreendimento = $_GET['idempreendimento'];

    if (isset($_POST['option'])) {
        // Aqui faço a segunda etapa.
        // Verifico se já existe a rotina no banco. 
        $query = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Contrato aprovado reprovado' AND id_empreendimento = $id_empreendimento ");
        if (mysqli_num_rows($query)) {
            while ($result = mysqli_fetch_assoc($query)) {
                $texto_existe = $result['modelo_msg'];
            }

            $selecionado = $_POST['option'];
            $qtd = count($selecionado);

            // Aqui verifico se minhas três opções foram setadas.
            if ($qtd == 3) {
                foreach ($selecionado as $value) {

                    if (!empty($_POST['texto'])) {
                        $texto = addslashes($_POST['texto']);
                    } else {
                        $texto = addslashes($texto_existe);
                    }

                    if (isset($_POST['check'])) {
                        $check = 1;
                    } else {
                        $check = 0;
                    }

                    // Aqui faço update das três opções. 
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Contrato aprovado reprovado' AND grupo_acesso = $value AND id_empreendimento = $id_empreendimento");
                }
                // Aqui verifico se minhas duas opções foram setadas.
            } elseif ($qtd == 2) {

                // Aqui verifico qual não está setada.
                if ($selecionado['0'] == 5 && $selecionado['1'] == 6) {
                    $desmarcado = 7;
                } elseif ($selecionado['0'] == 6 && $selecionado['1'] == 5) {
                    $desmarcado = 7;
                } elseif ($selecionado['0'] == 7 && $selecionado['1'] == 5) {
                    $desmarcado = 6;
                } elseif ($selecionado['0'] == 5 && $selecionado['1'] == 7) {
                    $desmarcado = 6;
                } elseif ($selecionado['0'] == 6 && $selecionado['1'] == 7) {
                    $desmarcado = 5;
                } elseif ($selecionado['0'] == 7 && $selecionado['1'] == 6) {
                    $desmarcado = 5;
                }

                if (!empty($_POST['texto'])) {
                    $texto = $texto = addslashes($_POST['texto']);
                } else {
                    $texto = addslashes($texto_existe);
                }
                // Aqui faço update da opção que não foi setada (desativo).
                $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Contrato aprovado reprovado' AND grupo_acesso = $desmarcado AND id_empreendimento = $id_empreendimento");

                foreach ($selecionado as $value) {

                    if (!empty($_POST['texto'])) {
                        $texto = $texto = addslashes($_POST['texto']);
                    } else {
                        $texto = addslashes($texto_existe);
                    }

                    if (isset($_POST['check'])) {
                        $check = 1;
                    } else {
                        $check = 0;
                    }
                    // Aqui faço update das duas opções que foram setadas.
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Contrato aprovado reprovado' AND grupo_acesso = $value AND id_empreendimento = $id_empreendimento");
                }
                // Aqui verifico se minha opçõe foi setada.
            } else {

                if (!empty($_POST['texto'])) {
                    $texto = $texto = addslashes($_POST['texto']);
                } else {
                    $texto = addslashes($texto_existe);
                }

                if (isset($_POST['check'])) {
                    $check = 1;
                } else {
                    $check = 0;
                }

                // Aqui vejo qual está selecionada.
                if ($selecionado['0'] ==  5) {
                    $unico = $selecionado['0'];
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Contrato aprovado reprovado' AND grupo_acesso = $unico AND id_empreendimento = $id_empreendimento");
                } else {
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Contrato aprovado reprovado' AND grupo_acesso = 5 AND id_empreendimento = $id_empreendimento");
                }

                if ($selecionado['0'] ==  6) {
                    $unico = $selecionado['0'];
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Contrato aprovado reprovado' AND grupo_acesso = $unico AND id_empreendimento = $id_empreendimento");
                } else {
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Contrato aprovado reprovado' AND grupo_acesso = 6 AND id_empreendimento = $id_empreendimento");
                }

                if ($selecionado['0'] ==  7) {
                    $unico = $selecionado['0'];
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Contrato aprovado reprovado' AND grupo_acesso = $unico AND id_empreendimento = $id_empreendimento");
                } else {
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Contrato aprovado reprovado' AND grupo_acesso = 7 AND id_empreendimento = $id_empreendimento");
                }
            }

            header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
            die();
        } else {
            // Aqui faço a primeira etapa.
            $selecionado = $_POST['option'];

            foreach ($selecionado as $value) {

                if (isset($_POST['texto'])) {
                    $texto = $texto = addslashes($_POST['texto']);
                }

                if (isset($_POST['check'])) {
                    $check = 1;
                } else {
                    $check = 0;
                }
                // // Aqui faço insert das três opções se foram setadas.
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Contrato aprovado reprovado', '$texto', $value, $check)");
            }

            // Aqui adiciono o que não foi setado (se tiver);
            $query1 = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Contrato aprovado reprovado' AND id_empreendimento = $id_empreendimento AND grupo_acesso = 5 ");
            $query2 = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Contrato aprovado reprovado' AND id_empreendimento = $id_empreendimento AND grupo_acesso = 6 ");
            $query3 = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Contrato aprovado reprovado' AND id_empreendimento = $id_empreendimento AND grupo_acesso = 7 ");

            if (mysqli_num_rows($query1)) { } else {
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Contrato aprovado reprovado', '$texto', 5, 0)");
            }

            if (mysqli_num_rows($query2)) { } else {
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Contrato aprovado reprovado', '$texto', 6, 0)");
            }

            if (mysqli_num_rows($query3)) { } else {
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Contrato aprovado reprovado', '$texto', 7, 0)");
            }

            header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
            die();
        }
    }

    header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
    die();
}

// Rotina Ocorrencias lançamento
if (isset($_POST['salvar_quinta'])) {

    $id_empreendimento = $_GET['idempreendimento'];

    if (isset($_POST['option'])) {
        // Aqui faço a segunda etapa.
        // Verifico se já existe a rotina no banco. 
        $query = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Ocorrencias lancamento' AND id_empreendimento = $id_empreendimento ");
        if (mysqli_num_rows($query)) {
            while ($result = mysqli_fetch_assoc($query)) {
                $texto_existe = $result['modelo_msg'];
            }

            $selecionado = $_POST['option'];
            $qtd = count($selecionado);

            // Aqui verifico se minhas três opções foram setadas.
            if ($qtd == 3) {
                foreach ($selecionado as $value) {

                    if (!empty($_POST['texto'])) {
                        $texto = addslashes($_POST['texto']);
                    } else {
                        $texto = addslashes($texto_existe);
                    }

                    if (isset($_POST['check'])) {
                        $check = 1;
                    } else {
                        $check = 0;
                    }

                    // Aqui faço update das três opções. 
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Ocorrencias lancamento' AND grupo_acesso = $value AND id_empreendimento = $id_empreendimento");
                }
                // Aqui verifico se minhas duas opções foram setadas.
            } elseif ($qtd == 2) {

                // Aqui verifico qual não está setada.
                if ($selecionado['0'] == 5 && $selecionado['1'] == 6) {
                    $desmarcado = 7;
                } elseif ($selecionado['0'] == 6 && $selecionado['1'] == 5) {
                    $desmarcado = 7;
                } elseif ($selecionado['0'] == 7 && $selecionado['1'] == 5) {
                    $desmarcado = 6;
                } elseif ($selecionado['0'] == 5 && $selecionado['1'] == 7) {
                    $desmarcado = 6;
                } elseif ($selecionado['0'] == 6 && $selecionado['1'] == 7) {
                    $desmarcado = 5;
                } elseif ($selecionado['0'] == 7 && $selecionado['1'] == 6) {
                    $desmarcado = 5;
                }

                if (!empty($_POST['texto'])) {
                    $texto = $texto = addslashes($_POST['texto']);
                } else {
                    $texto = addslashes($texto_existe);
                }
                // Aqui faço update da opção que não foi setada (desativo).
                $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Ocorrencias lancamento' AND grupo_acesso = $desmarcado AND id_empreendimento = $id_empreendimento");

                foreach ($selecionado as $value) {

                    if (!empty($_POST['texto'])) {
                        $texto = $texto = addslashes($_POST['texto']);
                    } else {
                        $texto = addslashes($texto_existe);
                    }

                    if (isset($_POST['check'])) {
                        $check = 1;
                    } else {
                        $check = 0;
                    }
                    // Aqui faço update das duas opções que foram setadas.
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Ocorrencias lancamento' AND grupo_acesso = $value AND id_empreendimento = $id_empreendimento");
                }
                // Aqui verifico se minha opçõe foi setada.
            } else {

                if (!empty($_POST['texto'])) {
                    $texto = $texto = addslashes($_POST['texto']);
                } else {
                    $texto = addslashes($texto_existe);
                }

                if (isset($_POST['check'])) {
                    $check = 1;
                } else {
                    $check = 0;
                }

                // Aqui vejo qual está selecionada.
                if ($selecionado['0'] ==  5) {
                    $unico = $selecionado['0'];
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Ocorrencias lancamento' AND grupo_acesso = $unico AND id_empreendimento = $id_empreendimento");
                } else {
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Ocorrencias lancamento' AND grupo_acesso = 5 AND id_empreendimento = $id_empreendimento");
                }

                if ($selecionado['0'] ==  6) {
                    $unico = $selecionado['0'];
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Ocorrencias lancamento' AND grupo_acesso = $unico AND id_empreendimento = $id_empreendimento");
                } else {
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Ocorrencias lancamento' AND grupo_acesso = 6 AND id_empreendimento = $id_empreendimento");
                }

                if ($selecionado['0'] ==  7) {
                    $unico = $selecionado['0'];
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Ocorrencias lancamento' AND grupo_acesso = $unico AND id_empreendimento = $id_empreendimento");
                } else {
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Ocorrencias lancamento' AND grupo_acesso = 7 AND id_empreendimento = $id_empreendimento");
                }
            }

            header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
            die();
        } else {
            // Aqui faço a primeira etapa.
            $selecionado = $_POST['option'];

            foreach ($selecionado as $value) {

                if (isset($_POST['texto'])) {
                    $texto = $texto = addslashes($_POST['texto']);
                }

                if (isset($_POST['check'])) {
                    $check = 1;
                } else {
                    $check = 0;
                }
                // // Aqui faço insert das três opções se foram setadas.
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Ocorrencias lancamento', '$texto', $value, $check)");
            }

            // Aqui adiciono o que não foi setado (se tiver);
            $query1 = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Ocorrencias lancamento' AND id_empreendimento = $id_empreendimento AND grupo_acesso = 5 ");
            $query2 = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Ocorrencias lancamento' AND id_empreendimento = $id_empreendimento AND grupo_acesso = 6 ");
            $query3 = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Ocorrencias lancamento' AND id_empreendimento = $id_empreendimento AND grupo_acesso = 7 ");

            if (mysqli_num_rows($query1)) { } else {
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Ocorrencias lancamento', '$texto', 5, 0)");
            }

            if (mysqli_num_rows($query2)) { } else {
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Ocorrencias lancamento', '$texto', 6, 0)");
            }

            if (mysqli_num_rows($query3)) { } else {
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Ocorrencias lancamento', '$texto', 7, 0)");
            }

            header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
            die();
        }
    }

    header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
    die();
}

// Rotina Ocorrencias tratativas
if (isset($_POST['salvar_sexta'])) {

    $id_empreendimento = $_GET['idempreendimento'];

    if (isset($_POST['option'])) {
        // Aqui faço a segunda etapa.
        // Verifico se já existe a rotina no banco. 
        $query = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Ocorrencias tratativas' AND id_empreendimento = $id_empreendimento ");
        if (mysqli_num_rows($query)) {
            while ($result = mysqli_fetch_assoc($query)) {
                $texto_existe = $result['modelo_msg'];
            }

            $selecionado = $_POST['option'];
            $qtd = count($selecionado);

            // Aqui verifico se minhas três opções foram setadas.
            if ($qtd == 3) {
                foreach ($selecionado as $value) {

                    if (!empty($_POST['texto'])) {
                        $texto = addslashes($_POST['texto']);
                    } else {
                        $texto = addslashes($texto_existe);
                    }

                    if (isset($_POST['check'])) {
                        $check = 1;
                    } else {
                        $check = 0;
                    }

                    // Aqui faço update das três opções. 
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Ocorrencias tratativas' AND grupo_acesso = $value AND id_empreendimento = $id_empreendimento");
                }
                // Aqui verifico se minhas duas opções foram setadas.
            } elseif ($qtd == 2) {

                // Aqui verifico qual não está setada.
                if ($selecionado['0'] == 5 && $selecionado['1'] == 6) {
                    $desmarcado = 7;
                } elseif ($selecionado['0'] == 6 && $selecionado['1'] == 5) {
                    $desmarcado = 7;
                } elseif ($selecionado['0'] == 7 && $selecionado['1'] == 5) {
                    $desmarcado = 6;
                } elseif ($selecionado['0'] == 5 && $selecionado['1'] == 7) {
                    $desmarcado = 6;
                } elseif ($selecionado['0'] == 6 && $selecionado['1'] == 7) {
                    $desmarcado = 5;
                } elseif ($selecionado['0'] == 7 && $selecionado['1'] == 6) {
                    $desmarcado = 5;
                }

                if (!empty($_POST['texto'])) {
                    $texto = $texto = addslashes($_POST['texto']);
                } else {
                    $texto = addslashes($texto_existe);
                }
                // Aqui faço update da opção que não foi setada (desativo).
                $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Ocorrencias tratativas' AND grupo_acesso = $desmarcado AND id_empreendimento = $id_empreendimento");

                foreach ($selecionado as $value) {

                    if (!empty($_POST['texto'])) {
                        $texto = $texto = addslashes($_POST['texto']);
                    } else {
                        $texto = addslashes($texto_existe);
                    }

                    if (isset($_POST['check'])) {
                        $check = 1;
                    } else {
                        $check = 0;
                    }
                    // Aqui faço update das duas opções que foram setadas.
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Ocorrencias tratativas' AND grupo_acesso = $value AND id_empreendimento = $id_empreendimento");
                }
                // Aqui verifico se minha opçõe foi setada.
            } else {

                if (!empty($_POST['texto'])) {
                    $texto = $texto = addslashes($_POST['texto']);
                } else {
                    $texto = addslashes($texto_existe);
                }

                if (isset($_POST['check'])) {
                    $check = 1;
                } else {
                    $check = 0;
                }

                // Aqui vejo qual está selecionada.
                if ($selecionado['0'] ==  5) {
                    $unico = $selecionado['0'];
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Ocorrencias tratativas' AND grupo_acesso = $unico AND id_empreendimento = $id_empreendimento");
                } else {
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Ocorrencias tratativas' AND grupo_acesso = 5 AND id_empreendimento = $id_empreendimento");
                }

                if ($selecionado['0'] ==  6) {
                    $unico = $selecionado['0'];
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Ocorrencias tratativas' AND grupo_acesso = $unico AND id_empreendimento = $id_empreendimento");
                } else {
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Ocorrencias tratativas' AND grupo_acesso = 6 AND id_empreendimento = $id_empreendimento");
                }

                if ($selecionado['0'] ==  7) {
                    $unico = $selecionado['0'];
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Ocorrencias tratativas' AND grupo_acesso = $unico AND id_empreendimento = $id_empreendimento");
                } else {
                    $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = 0 WHERE rotina = 'Ocorrencias tratativas' AND grupo_acesso = 7 AND id_empreendimento = $id_empreendimento");
                }
            }

            header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
            die();
        } else {
            // Aqui faço a primeira etapa.
            $selecionado = $_POST['option'];

            foreach ($selecionado as $value) {

                if (isset($_POST['texto'])) {
                    $texto = $texto = addslashes($_POST['texto']);
                }

                if (isset($_POST['check'])) {
                    $check = 1;
                } else {
                    $check = 0;
                }
                // // Aqui faço insert das três opções se foram setadas.
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Ocorrencias tratativas', '$texto', $value, $check)");
            }

            // Aqui adiciono o que não foi setado (se tiver);
            $query1 = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Ocorrencias tratativas' AND id_empreendimento = $id_empreendimento AND grupo_acesso = 5 ");
            $query2 = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Ocorrencias tratativas' AND id_empreendimento = $id_empreendimento AND grupo_acesso = 6 ");
            $query3 = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Ocorrencias tratativas' AND id_empreendimento = $id_empreendimento AND grupo_acesso = 7 ");

            if (mysqli_num_rows($query1)) { } else {
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Ocorrencias tratativas', '$texto', 5, 0)");
            }

            if (mysqli_num_rows($query2)) { } else {
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Ocorrencias tratativas', '$texto', 6, 0)");
            }

            if (mysqli_num_rows($query3)) { } else {
                $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Ocorrencias tratativas', '$texto', 7, 0)");
            }

            header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
            die();
        }
    }

    header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
    die();
}

// Rotina Aviso de vencimento de parcelas
if (isset($_POST['salvar_setima'])) {

    $id_empreendimento = $_GET['idempreendimento'];

    // Verifico se já existe a rotina no banco. 
    $query = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Aviso de vencimento de parcelas' AND id_empreendimento = $id_empreendimento ");
    if (mysqli_num_rows($query)) {
        while ($result = mysqli_fetch_assoc($query)) {
            $texto_existe = $result['modelo_msg'];
        }

        $selecionado = $_POST['option'];

        foreach ($selecionado as $value) {

            if (!empty($_POST['texto'])) {
                $texto = $texto = addslashes($_POST['texto']);
            } else {
                $texto = addslashes($texto_existe);
            }

            if (isset($_POST['check'])) {
                $check = 1;
            } else {
                $check = 0;
            }
            // Aqui faço update das opções que foram setadas.
            $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Aviso de vencimento de parcelas' AND grupo_acesso = $value AND id_empreendimento = $id_empreendimento");
        }
        header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
        die();
    } else {
        // Aqui faço a primeira etapa.
        $selecionado = $_POST['option'];

        foreach ($selecionado as $value) {

            if (isset($_POST['texto'])) {
                $texto = $texto = addslashes($_POST['texto']);
            }

            if (isset($_POST['check'])) {
                $check = 1;
            } else {
                $check = 0;
            }
            // Aqui faço insert das opções que foram setadas.
            $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Aviso de vencimento de parcelas', '$texto', $value, $check)");
        }

        header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
        die();
    }
}

// Rotina Aviso de parcelas em atraso
if (isset($_POST['salvar_oitava'])) {
    $id_empreendimento = $_GET['idempreendimento'];

    // Verifico se já existe a rotina no banco. 
    $query = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Aviso de parcelas em atraso' AND id_empreendimento = $id_empreendimento ");
    if (mysqli_num_rows($query)) {
        while ($result = mysqli_fetch_assoc($query)) {
            $texto_existe = $result['modelo_msg'];
        }

        $selecionado = $_POST['option'];

        foreach ($selecionado as $value) {

            if (!empty($_POST['texto'])) {
                $texto = $texto = addslashes($_POST['texto']);
            } else {
                $texto = addslashes($texto_existe);
            }

            if (isset($_POST['check'])) {
                $check = 1;
            } else {
                $check = 0;
            }
            // Aqui faço update das opções que foram setadas.
            $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Aviso de parcelas em atraso' AND grupo_acesso = $value AND id_empreendimento = $id_empreendimento");
        }
        header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
        die();
    } else {
        // Aqui faço a primeira etapa.
        $selecionado = $_POST['option'];

        foreach ($selecionado as $value) {

            if (isset($_POST['texto'])) {
                $texto = $texto = addslashes($_POST['texto']);
            }

            if (isset($_POST['check'])) {
                $check = 1;
            } else {
                $check = 0;
            }
            // Aqui faço insert das opções que foram setadas.
            $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Aviso de parcelas em atraso', '$texto', $value, $check)");
        }

        header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
        die();
    }
}

// Rotina Lançamento de contas a pagar
if (isset($_POST['salvar_nona'])) {
    $id_empreendimento = $_GET['idempreendimento'];

    // Verifico se já existe a rotina no banco. 
    $query = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Lancamento de contas a pagar' AND id_empreendimento = $id_empreendimento ");
    if (mysqli_num_rows($query)) {
        while ($result = mysqli_fetch_assoc($query)) {
            $texto_existe = $result['modelo_msg'];
        }

        $selecionado = $_POST['option'];

        foreach ($selecionado as $value) {

            if (!empty($_POST['texto'])) {
                $texto = $texto = addslashes($_POST['texto']);
            } else {
                $texto = addslashes($texto_existe);
            }

            if (isset($_POST['check'])) {
                $check = 1;
            } else {
                $check = 0;
            }
            // Aqui faço update das opções que foram setadas.
            $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Lancamento de contas a pagar' AND grupo_acesso = $value AND id_empreendimento = $id_empreendimento");
        }
        header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
        die();
    } else {
        // Aqui faço a primeira etapa.
        $selecionado = $_POST['option'];

        foreach ($selecionado as $value) {

            if (isset($_POST['texto'])) {
                $texto = $texto = addslashes($_POST['texto']);
            }

            if (isset($_POST['check'])) {
                $check = 1;
            } else {
                $check = 0;
            }
            // Aqui faço insert das opções que foram setadas.
            $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Lancamento de contas a pagar', '$texto', $value, $check)");
        }

        header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
        die();
    }
}

// Rotina Baixa de contas a pagar
if (isset($_POST['salvar_decima'])) {
    $id_empreendimento = $_GET['idempreendimento'];

    // Verifico se já existe a rotina no banco. 
    $query = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Baixa de contas a pagar' AND id_empreendimento = $id_empreendimento ");
    if (mysqli_num_rows($query)) {
        while ($result = mysqli_fetch_assoc($query)) {
            $texto_existe = $result['modelo_msg'];
        }

        $selecionado = $_POST['option'];

        foreach ($selecionado as $value) {

            if (!empty($_POST['texto'])) {
                $texto = $texto = addslashes($_POST['texto']);
            } else {
                $texto = addslashes($texto_existe);
            }

            if (isset($_POST['check'])) {
                $check = 1;
            } else {
                $check = 0;
            }
            // Aqui faço update das opções que foram setadas.
            $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Baixa de contas a pagar' AND grupo_acesso = $value AND id_empreendimento = $id_empreendimento");
        }
        header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
        die();
    } else {
        // Aqui faço a primeira etapa.
        $selecionado = $_POST['option'];

        foreach ($selecionado as $value) {

            if (isset($_POST['texto'])) {
                $texto = $texto = addslashes($_POST['texto']);
            }

            if (isset($_POST['check'])) {
                $check = 1;
            } else {
                $check = 0;
            }
            // Aqui faço insert das opções que foram setadas.
            $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Baixa de contas a pagar', '$texto', $value, $check)");
        }

        header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
        die();
    }
}

// Rotina Baixa de contas a receber.
if (isset($_POST['salvar_decima1'])) {
    $id_empreendimento = $_GET['idempreendimento'];

    // Verifico se já existe a rotina no banco. 
    $query = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Baixa de parcelas' AND id_empreendimento = $id_empreendimento ");
    if (mysqli_num_rows($query)) {
        while ($result = mysqli_fetch_assoc($query)) {
            $texto_existe = $result['modelo_msg'];
        }

        $selecionado = $_POST['option'];

        foreach ($selecionado as $value) {

            if (!empty($_POST['texto'])) {
                $texto = $texto = addslashes($_POST['texto']);
            } else {
                $texto = addslashes($texto_existe);
            }

            if (isset($_POST['check'])) {
                $check = 1;
            } else {
                $check = 0;
            }
            // Aqui faço update das opções que foram setadas.
            $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Baixa de parcelas' AND grupo_acesso = $value AND id_empreendimento = $id_empreendimento");
        }
        header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
        die();
    } else {
        // Aqui faço a primeira etapa.
        $selecionado = $_POST['option'];

        foreach ($selecionado as $value) {

            if (isset($_POST['texto'])) {
                $texto = $texto = addslashes($_POST['texto']);
            }

            if (isset($_POST['check'])) {
                $check = 1;
            } else {
                $check = 0;
            }
            // Aqui faço insert das opções que foram setadas.
            $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Baixa de parcelas', '$texto', $value, $check)");
        }

        header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
        die();
    }
}

// Rotina Simulação de venda gerada
if (isset($_POST['salvar_decima2'])) {
    $id_empreendimento = $_GET['idempreendimento'];

    // Verifico se já existe a rotina no banco. 
    $query = mysqli_query($db, "SELECT * FROM modelo_msg_sms WHERE rotina = 'Simulacao de venda gerada' AND id_empreendimento = $id_empreendimento ");
    if (mysqli_num_rows($query)) {
        while ($result = mysqli_fetch_assoc($query)) {
            $texto_existe = $result['modelo_msg'];
        }

        $selecionado = $_POST['option'];

        foreach ($selecionado as $value) {

            if (!empty($_POST['texto'])) {
                $texto = $texto = addslashes($_POST['texto']);
            } else {
                $texto = addslashes($texto_existe);
            }

            if (isset($_POST['check'])) {
                $check = 1;
            } else {
                $check = 0;
            }
            // Aqui faço update das opções que foram setadas.
            $query = mysqli_query($db, "UPDATE modelo_msg_sms SET modelo_msg = '$texto', ativado_desativado = $check WHERE rotina = 'Simulacao de venda gerada' AND grupo_acesso = $value AND id_empreendimento = $id_empreendimento");
        }
        header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
        die();
    } else {
        // Aqui faço a primeira etapa.
        $selecionado = $_POST['option'];

        foreach ($selecionado as $value) {

            if (isset($_POST['texto'])) {
                $texto = $texto = addslashes($_POST['texto']);
            }

            if (isset($_POST['check'])) {
                $check = 1;
            } else {
                $check = 0;
            }
            // Aqui faço insert das opções que foram setadas.
            $query = mysqli_query($db, "INSERT INTO modelo_msg_sms (id_empreendimento, rotina, modelo_msg, grupo_acesso, ativado_desativado) VALUES ($id_empreendimento, 'Simulacao de venda gerada', '$texto', $value, $check)");
        }

        header("Location: descontos.php?idempreendimento=" . $id_empreendimento);
        die();
    }
}
